package com.pcloud.book.applet.biz;

import com.pcloud.book.applet.entity.AppletRecordServe;
import com.pcloud.common.page.PageBeanNew;

import java.util.List;

/**
 * (AppletRecordServe)表服务接口
 *
 * @author makejava
 * @since 2020-12-09 16:04:32
 */
public interface AppletRecordServeBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AppletRecordServe getById(Long id);

    /**
     * 分页查询
     */
    PageBeanNew getList(Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param appletRecordServe 实例对象
     * @return 主键
     */
    Long insert(AppletRecordServe appletRecordServe);

    /**
     * 修改数据
     *
     * @param appletRecordServe 实例对象
     */
    void update(AppletRecordServe appletRecordServe);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void deleteById(Long id);

    /**
     * 根据类型获取用户足迹列表
     * @param wechatUserId
     * @param recordType
     * @return
     */
    List<AppletRecordServe> getUserRecordListByType(Long wechatUserId, Integer recordType);
}